Bug 121382 - Very Long Save Time Bug has returned
Summary: Very Long Save Time Bug has returned
Status: RESOLVED INSUFFICIENTDATA
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
6.1.2.1 release
Hardware: x86 (IA32) Windows (All)
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-13 07:53 UTC by Kevin
Modified: 2019-12-20 03:39 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:
Regression By:


Attachments
large file to demonstrate bug (905.36 KB, application/vnd.openxmlformats-officedocument.spreadsheetml.sheet)
2018-11-13 07:54 UTC, Kevin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Kevin 2018-11-13 07:53:46 UTC
Description:
I had this over a year ago and it was fixed, and the report I believe was closed. Now it's returned.

Steps to Reproduce:
1. load the attached file
2. make a change
3. save

Actual Results:
it can take over 60 seconds to save

Expected Results:
It had been taking only a few seconds since a very similar bug was fixed over a year ago.


Reproducible: Always


User Profile Reset: No



Additional Info:
I listed hardward as x86 (IA32) - it's a 64-bit i5 processor - didn't see that choice.
Comment 1 Kevin 2018-11-13 07:54:49 UTC
Created attachment 146584 [details]
large file to demonstrate bug

 - just change something and save, noting time
Comment 2 Xisco Faulí 2018-11-13 10:36:57 UTC
it takes 10 seconds in

Versión: 6.1.3.2
Id. de compilación: 86daf60bf00efa86ad547e59e09d6bb77c699acb
Subprocs. CPU: 1; SO: Windows 6.1; Repres. IU: predet.; 
Configuración regional: es-ES (es_ES); Calc: group threaded

on a virtual machine...

To be certain the reported issue is not
related to corruption in the user profile, could you please reset your
Libreoffice profile ( https://wiki.documentfoundation.org/UserProfile ) and
re-test?

I have set the bug's status to 'NEEDINFO'. Please change it back to
'UNCONFIRMED' if the issue is still present
Comment 3 Telesto 2018-11-13 12:30:26 UTC
Note: I created a separate report for a similar problem, but with ODS and using Master (see bug 121383)
Comment 4 Ahiijny 2019-03-13 13:55:55 UTC
For me:

Saving the file takes 6 seconds in

Version: 6.0.7.3
Build ID: 1:6.0.7-0ubuntu0.18.04.2
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: en-CA (en_CA.UTF-8); Calc: group

And it takes 30 seconds in

Version: 6.2.1.2
Build ID: libreoffice-6.2.1.2-snap1
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: en-CA (en_CA.UTF-8); UI-Language: en-US
Calc: threaded

In both cases, opening the file takes about the same duration of time as saving the file.
Comment 5 Buovjaga 2019-05-22 12:08:29 UTC
Saving with either Save or Save as only takes 3 seconds with a fresh master build. Please everyone test.

https://dev-builds.libreoffice.org/daily/master/
https://wiki.documentfoundation.org/Installing_in_parallel/Linux

Arch Linux 64-bit
Version: 6.3.0.0.alpha1+
Build ID: b004b7f3c1a28ebab1823bdbe38660b6c44483b1
CPU threads: 8; OS: Linux 5.1; UI render: default; VCL: gtk3; 
Locale: fi-FI (fi_FI.UTF-8); UI-Language: en-US
Calc: threaded
Built on 22 May 2019
Comment 6 QA Administrators 2019-11-19 03:29:09 UTC Comment hidden (obsolete)
Comment 7 QA Administrators 2019-12-20 03:39:34 UTC
Dear Kevin,

Please read this message in its entirety before proceeding.

Your bug report is being closed as INSUFFICIENTDATA due to inactivity and
a lack of information which is needed in order to accurately
reproduce and confirm the problem. We encourage you to retest
your bug against the latest release. If the issue is still
present in the latest stable release, we need the following
information (please ignore any that you've already provided):

a) Provide details of your system including your operating
   system and the latest version of LibreOffice that you have
   confirmed the bug to be present

b) Provide easy to reproduce steps – the simpler the better

c) Provide any test case(s) which will help us confirm the problem

d) Provide screenshots of the problem if you think it might help

e) Read all comments and provide any requested information

Once all of this is done, please set the bug back to UNCONFIRMED
and we will attempt to reproduce the issue. Please do not:

a) respond via email 

b) update the version field in the bug or any of the other details
   on the top section of our bug tracker

Warm Regards,
QA Team

MassPing-NeedInfo-FollowUp